--TEST--
key export test
--EXTENSIONS--
rnp
--CAPTURE_STDIO--
STDIN STDOUT
--FILE--
<?php
require_once "testkeys.inc";

$ffi = rnp_ffi_create('GPG', 'GPG');

//non-existent key fingerprint
var_dump(rnp_key_export($ffi, '0000000000000000000000000000000000000000', 0));

rnp_load_keys($ffi, 'GPG', $keyring1_pubring, RNP_LOAD_SAVE_PUBLIC_KEYS | RNP_LOAD_SAVE_SECRET_KEYS);

var_dump(rnp_key_export($ffi, 'E95A3CBF583AA80A2CCC53AA7BC6709B15C23A4A', RNP_KEY_EXPORT_ARMORED | RNP_KEY_EXPORT_PUBLIC | RNP_KEY_EXPORT_SUBKEYS));

rnp_ffi_destroy($ffi);
?>
--EXPECT--
bool(false)
string(2831) "-----BEGIN PGP PUBLIC KEY BLOCK-----
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=Rt1m
-----END PGP PUBLIC KEY BLOCK-----
"
